RubyGems Navigation menu

sprockets-bumble_d 2.2.0

This gem provides a plugin for Sprockets to transpile modern javascript using Babel. Unlike other options in the sprockets ecosystem, it works with the latest version of Babel and any plugins/presets you install. A primary use case for this gem is to facilitate incremental migration of a large Sprockets-powered javascript codebase to ES6 modules by transforming them to UMD modules that preserve your existing global variable references (hence the name: Babel + UMD = BumbleD). That said, this gem can be used for general purpose babel transpilation within the Sprockets pipeline.

Versões:

  1. 2.2.0 - September 09, 2019 (6,5 KB)
  2. 2.1.0 - March 04, 2019 (6,5 KB)
  3. 2.0.0 - February 27, 2019 (6,5 KB)
  4. 1.1.0 - March 12, 2017 (6,5 KB)
  5. 1.0.0 - January 30, 2017 (6,5 KB)

Runtime Dependencies (3):

  • railties >= 4.2.0, < 7.0
  • schmooze = 0.1.6
  • sprockets ~> 3.5
  • Donos:

    Pushed by:

    Autores:

    • Richard Macklin

    SHA 256 checksum:

    fb03aa6c2dc054abd6f14b7a69dada9bf91f5772e2f859403649e9939ec2c4ca

    Total de downloads 23.055

    Desta versão 11.921

    Gemfile:
    = Copy to clipboard Copied!

    instalar:
    =

    Licença:

    MIT

    Versão Requerida do Ruby: >= 0

    Links: